Bug 839950 - libgfapi: API access to gluster volumes (a.p.k.a libglusterfsclient)
libgfapi: API access to gluster volumes (a.p.k.a libglusterfsclient)
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: libglusterfsclient (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anand Avati
:
Depends On:
Blocks: 856208 916645 918917 981054
  Show dependency treegraph
 
Reported: 2012-07-13 05:36 EDT by Anand Avati
Modified: 2015-09-01 19:05 EDT (History)
5 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 856208 (view as bug list)
Environment:
Last Closed: 2013-07-24 13:16:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Anand Avati 2012-07-13 05:36:49 EDT
Tracker bug for development of libgfapi (libglusterfsclient)
Comment 1 Vijay Bellur 2012-07-14 00:10:56 EDT
CHANGE: http://review.gluster.com/3662 (syncop: accomodate non-syncenv calls) merged in master by Anand Avati (avati@redhat.com)
Comment 2 Vijay Bellur 2012-07-16 05:23:34 EDT
CHANGE: http://review.gluster.com/3663 (common-utils: implement iov_copy) merged in master by Vijay Bellur (vbellur@redhat.com)
Comment 3 Vijay Bellur 2012-07-17 15:29:44 EDT
CHANGE: http://review.gluster.com/3677 (common-utils: implement generate_glusterfs_ctx_id()) merged in master by Anand Avati (avati@redhat.com)
Comment 4 Vijay Bellur 2012-07-18 02:04:52 EDT
CHANGE: http://review.gluster.com/3678 (glusterfs_ctx_t: un-globalize the filesystem context) merged in master by Anand Avati (avati@redhat.com)
Comment 5 Vijay Bellur 2012-07-18 15:10:58 EDT
CHANGE: http://review.gluster.com/3664 (gfapi: API/library for accessing gluster volumes) merged in master by Anand Avati (avati@redhat.com)
Comment 6 Vijay Bellur 2012-07-18 15:11:45 EDT
CHANGE: http://review.gluster.com/3665 (glusterfs-api.pc: pkgconfig for API consumers) merged in master by Anand Avati (avati@redhat.com)
Comment 7 Vijay Bellur 2012-07-18 15:12:33 EDT
CHANGE: http://review.gluster.com/3666 (glfsxmp: libgfapi based example) merged in master by Anand Avati (avati@redhat.com)
Comment 8 Vijay Bellur 2012-07-18 15:45:18 EDT
CHANGE: http://review.gluster.com/3675 (Example of using libglfs from Python.) merged in master by Anand Avati (avati@redhat.com)
Comment 9 Vijay Bellur 2012-07-18 17:32:40 EDT
CHANGE: http://review.gluster.com/3693 (glusterfs-api.pc: include pkgconfig file in -devel RPM) merged in master by Anand Avati (avati@redhat.com)
Comment 10 Vijay Bellur 2012-07-27 14:58:31 EDT
CHANGE: http://review.gluster.com/3734 (gfapi: unglobalize oldvol{file,len}) merged in master by Anand Avati (avati@redhat.com)
Comment 11 Vijay Bellur 2012-07-29 14:19:21 EDT
CHANGE: http://review.gluster.com/3742 (Warnings: Fix set, unused variable warnings) merged in master by Anand Avati (avati@redhat.com)
Comment 12 Vijay Bellur 2012-08-20 03:16:10 EDT
CHANGE: http://review.gluster.org/3828 (syncop: handle 'dataonly' flag in syncop_fsync()) merged in master by Anand Avati (avati@redhat.com)
Comment 13 Vijay Bellur 2012-10-08 06:36:44 EDT
CHANGE: http://review.gluster.org/4022 (gfapi: added more API calls) merged in master by Vijay Bellur (vbellur@redhat.com)
Comment 14 Vijay Bellur 2012-11-05 08:54:08 EST
CHANGE: http://review.gluster.org/4023 (api/examples: updated examples to use new calls) merged in master by Vijay Bellur (vbellur@redhat.com)
Comment 15 Vijay Bellur 2012-12-19 22:17:04 EST
CHANGE: http://review.gluster.org/4286 (api: update Python wrapper) merged in master by Anand Avati (avati@redhat.com)
Comment 16 Vijay Bellur 2013-02-03 15:11:45 EST
CHANGE: http://review.gluster.org/4445 (gfapi: Mark fs->init status done in glfs_init_done for the case of glfs_init_async.) merged in master by Anand Avati (avati@redhat.com)
Comment 17 Vijay Bellur 2013-03-07 10:03:42 EST
CHANGE: http://review.gluster.org/4644 (gfapi: dict_unref() xattr_req in fop finish instead of dict_destroy()) merged in master by Anand Avati (avati@redhat.com)
Comment 18 Vijay Bellur 2013-03-07 22:53:59 EST
CHANGE: http://review.gluster.org/4645 (gfapi: dict_unref() xattr_req in fop finish instead of dict_destroy()) merged in release-3.4 by Anand Avati (avati@redhat.com)
Comment 19 Anand Avati 2013-08-22 18:20:18 EDT
REVIEW: http://review.gluster.org/5696 (gfapi: Add description of glfs_io_cbk function as a comment) posted (#1) for review on master by Anand Avati (avati@redhat.com)
Comment 20 Anand Avati 2013-08-23 06:38:05 EDT
COMMIT: http://review.gluster.org/5696 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit d3bbbbb158942a974414b021e3320c72c49d0cfe
Author: Anand Avati <avati@redhat.com>
Date:   Thu Aug 22 15:02:00 2013 -0700

    gfapi: Add description of glfs_io_cbk function as a comment
    
    No code change, just add a comment describing the callback function
    type.
    
    Change-Id: I3a5c5b3d3fe042b4f535963dd477806832c15704
    BUG: 839950
    Signed-off-by: Anand Avati <avati@redhat.com>
    Reviewed-on: http://review.gluster.org/5696
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
    Tested-by: Vijay Bellur <vbellur@redhat.com>
Comment 21 Anand Avati 2013-11-12 20:08:39 EST
REVIEW: http://review.gluster.org/6201 (gfapi: introduce glfs_readdir() and glfs_readdirplus() APIs) posted (#4) for review on master by Anand Avati (avati@redhat.com)
Comment 22 Anand Avati 2013-11-13 13:48:27 EST
COMMIT: http://review.gluster.org/6201 committed in master by Anand Avati (avati@redhat.com) 
------
commit c1109ed6c6c7bff0df22c304158e9f392f83cf59
Author: Anand Avati <avati@redhat.com>
Date:   Wed Oct 30 14:30:26 2013 -0700

    gfapi: introduce glfs_readdir() and glfs_readdirplus() APIs
    
    Change-Id: I6b233bf647585675f233898351bf593f251716cc
    BUG: 839950
    Signed-off-by: Anand Avati <avati@redhat.com>
    Reviewed-on: http://review.gluster.org/6201
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Raghavendra Talur <rtalur@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.